# PSF-LoginServer - master - net.psforever.objects.vital.VitalsHistory
PSF - LoginServer - master - net.psforever.objects.vital.VitalsHistory
Keywords: PSF LoginServer master net.psforever.objects.vital.VitalsHistory

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package base
  Definition Classes
    vital
-  package collision
  Definition Classes
    vital
-  package damage
  Definition Classes
    vital
-  package environment
  Definition Classes
    vital
-  package etc
  Definition Classes
    vital
-  package interaction
  Definition Classes
    vital
-  package projectile
  Definition Classes
    vital
-  package prop
  Definition Classes
    vital
-  package resistance
  Definition Classes
    vital
-  package resolution
  Definition Classes
    vital
- AmenityHitResistance
- AmenitySplashResistance
- AnyResolutions
- ComplexDeployableResolutions
- DamageFrom
- DamageFromEnvironment
- DamageFromExplodingEntity
- DamageFromPainbox
- DamageFromProjectile
- DamagingActivity
- HealFromEquipment
- HealFromExoSuitChange
- HealFromImplant
- HealFromKit
- HealFromTerm
- HealingActivity
- InfantryAggravatedResistance
- InfantryHitResistance
- InfantryLashResistance
- InfantryResolutions
- InfantrySplashResistance
- MaxResolutions
- NoResistance
- NoResistanceSelection
- NoResolutions
- PlayerSuicide
- RepairFromEquipment
- RepairFromKit
- RepairFromTerm
- SimpleResolutions
- StandardAmenityResistance
- StandardInfantryResistance
- StandardVehicleResistance
- VehicleAggravatedResistance
- VehicleHitResistance
- VehicleLashResistance
- VehicleResolutions
- VehicleShieldCharge
- VehicleSplashResistance
- Vitality
- VitalityDefinition
- VitalsActivity
- VitalsHistory

t

net.psforever.objects.vital

# VitalsHistory

###

#### trait VitalsHistory extends AnyRef

A vital object can be hurt or damaged or healed or repaired (HDHR). A history of the previous changes in vital statistics of the underlying object is recorded in reverse chronological order.

Source
  VitalsHistory.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
BoomerDeployable, ExplosiveDeployable, Player, SensorDeployable, ShieldGeneratorDeployable, TelepadDeployable, TrapDeployable, TurretDeployable, Vehicle, BaseDeployable, Deployable, Door, Generator, CaptureFlag, CaptureFlagSocket, IFFLock, Locker, VehicleSpawnPad, Painbox, ResourceSilo, OrbitalShuttle, OrbitalShuttlePad, ShuttleAmenity, Amenity, ProximityTerminal, Terminal, CaptureTerminal, ImplantTerminalMech, SpawnTube, FacilityTurret, InternalTelepad, ProximityTerminalUtility, SpawnTubeUtility, TeleportPadTerminalUtility, TerminalUtility, Vitality

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VitalsHistory
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def ClearHistory(): List[VitalsActivity]
5.  def History(result: DamageResult): List[VitalsActivity]

   Very common example of a `VitalsActivity` event involving damage.

   Very common example of a `VitalsActivity` event involving damage.

   result

     the fully-informed entry

   returns

     the list of previous changes to this object's vital statistics

6.  def History(action: Option[VitalsActivity]): List[VitalsActivity]

   A `VitalsActivity` event must be recorded.

   A `VitalsActivity` event must be recorded. Add new entry to the front of the list (for recent activity).

   action

     the fully-informed entry

   returns

     the list of previous changes to this object's vital statistics

7.  def History(action: VitalsActivity): List[VitalsActivity]

   A `VitalsActivity` event must be recorded.

   A `VitalsActivity` event must be recorded. Add new entry to the front of the list (for recent activity).

   action

     the fully-informed entry

   returns

     the list of previous changes to this object's vital statistics

8.  def History: List[VitalsActivity]
9.  def LastDamage: Option[DamageResult]
10.  def LastShot: Option[DamageResult]

    Find, specifically, the last instance of a weapon discharge vital statistics change.

    Find, specifically, the last instance of a weapon discharge vital statistics change.

    returns

      information about the discharge

11.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
12.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped